/**模型镜像模块 mock */

import { mockGetModelImageListData } from './pools/modelImageData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList, fetchMockSuccessFullByOther } from './utils/apiMock';
export default {

// 选择模型镜像列表
'POST /api/v1/model_image/getModelImageList': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetModelImageListData),
    };
    res.send(resData);
  }
};
