/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 16:32:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 17:33:13
 * @FilePath: \general-ai-platform-web\mock\pools\deviceGroupData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**设备组- */
// 设备组网点选项列表
export const mockGetDeviceGroupFkSelectData = {
  data: {
    list: [
      {
        name: '南京网点',
        id: 1,
      },
      {
        name: '秦淮网点',
        id: 2,
      },
      {
        name: '江宁网点',
        id: 3,
      },
      {
        name: '安徽网点',
        id: 4,
      },
      {
        name: '合肥网点',
        id: 5,
      },
    ],
  },
};

// 设备组网点树
export const mockGetDeviceGroupTreeData = {
  data: {
    tree: [
      {
        title: '南京网点1',
        key: 1,
        children: [
          {
            title: '秦淮网点',
            key: 2,
            children: [],
          },
          {
            title: '江宁网点',
            key: 3,
            children: [],
          },
        ],
      },
      {
        title: '安徽网点',
        key: 4,
        children: [
          {
            title: '合肥网点',
            key: 5,
            children: [],
          },
        ],
      },
    ],
  },
};

// 设备组列表分页
export const mockGetDeviceGroupListData = {
  data: {
    list: [
      {
        id: 1,
        createTime: '2023-10-17T10:43:31.254107+08:00',
        updateTime: '2023-10-17T10:45:25.030034+08:00',
        name: '南京网点',
        code: 'DG00002',
        address: '江苏省南京市南京市栖霞区紫东路南京紫东国际创意园',
        telephone: '12345',
        lon: '118.914349',
        lat: '32.086019',
        managerName: '张三',
        managerPhone: '111111111',
        isEnable: true,
        parentFkId: 0,
        remark: '',
        children: [
          {
            id: 2,
            createTime: '2023-10-17T13:37:31.758471+08:00',
            updateTime: '2023-10-17T13:39:31.530494+08:00',
            name: '秦淮网点',
            code: 'DG00003',
            address: '江苏省南京市秦淮区中山南路79号',
            telephone: '',
            lon: '118.791819',
            lat: '32.045002',
            managerName: '',
            managerPhone: '',
            isEnable: true,
            parentFkId: 1,
            remark: '',
            children: null,
            key: '2',
          },
          {
            id: 3,
            createTime: '2023-10-17T13:40:28.823372+08:00',
            updateTime: '2023-10-17T13:40:28.823372+08:00',
            name: '江宁网点',
            code: 'DG00004',
            address: '江苏省南京市经济技术开发区双龙大道1680号',
            telephone: '',
            lon: '118.824682',
            lat: '31.937062',
            managerName: '',
            managerPhone: '',
            isEnable: true,
            parentFkId: 1,
            remark: '',
            children: null,
            key: '3',
          },
        ],
        key: '1',
      },
      {
        id: 4,
        createTime: '2023-10-17T15:02:30.725705+08:00',
        updateTime: '2023-10-17T15:02:30.725705+08:00',
        name: '安徽网点',
        code: 'DG00005',
        address: '',
        telephone: '',
        lon: '',
        lat: '',
        managerName: '',
        managerPhone: '',
        isEnable: true,
        parentFkId: 0,
        remark: '',
        children: [
          {
            id: 5,
            createTime: '2023-10-17T15:05:13.542992+08:00',
            updateTime: '2023-10-17T15:08:01.071315+08:00',
            name: '合肥网点',
            code: 'DG00006',
            address: '安徽省合肥市包河区马鞍山路130号',
            telephone: '',
            lon: '117.309214',
            lat: '31.862594',
            managerName: '',
            managerPhone: '',
            isEnable: true,
            parentFkId: 4,
            remark: '',
            children: null,
            key: '5',
          },
        ],
        key: '4',
      },
    ],
    total: 0,
    page: 1,
    pageSize: 10,
  },
};
