/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 16:43:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 17:43:43
 * @FilePath: \general-ai-platform-web\mock\pools\projectData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**项目- */

// 项目选项 （不分页）
export const mockGetProjectFkSelectData = {
  data: {
    list: [
      {
        name: '玩手机1',
        id: 38,
      },
      {
        name: '离岗检测',
        id: 40,
      },
      {
        name: '打瞌睡检测',
        id: 39,
      },
      {
        name: '测试',
        id: 42,
      },
      {
        name: '测试1',
        id: 43,
      },
      {
        name: '测试2',
        id: 44,
      },
      {
        name: '测试4',
        id: 46,
      },
      {
        name: '测试5',
        id: 47,
      },
      {
        name: '测试6',
        id: 48,
      },
      {
        name: '测试7',
        id: 49,
      },
    ],
  },
};

// 项目列表 分页
export const mockGetProjectListData = {
  data: {
    list: [
      {
        id: 38,
        createTime: '2023-10-24T14:03:52.959113+08:00',
        updateTime: '2023-10-24T14:03:52.959113+08:00',
        name: '玩手机1',
        code: 'XM00038',
        info: '玩手机',
        projectFilePath:
          'uploads/file/project/files/da9c3e5bd8bdf5026aa47bee87e81ccc_20231024140343.zip',
        inferConfig: {
          models: [5],
          params: [],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 39,
        createTime: '2023-10-25T13:06:28.092394+08:00',
        updateTime: '2023-10-25T13:06:28.092394+08:00',
        name: '打瞌睡检测',
        code: 'XM00039',
        info: '打瞌睡',
        projectFilePath: '',
        inferConfig: {
          models: [7],
          params: [],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 40,
        createTime: '2023-10-25T14:01:24.985459+08:00',
        updateTime: '2023-10-25T14:01:24.985459+08:00',
        name: '离岗检测',
        code: 'XM00040',
        info: '离岗检测',
        projectFilePath: '',
        inferConfig: {
          models: [8],
          params: [],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 42,
        createTime: '2023-11-06T10:11:06.735872+08:00',
        updateTime: '2023-11-06T10:11:06.735872+08:00',
        name: '测试',
        code: 'XM00042',
        info: '测试1',
        projectFilePath: '',
        inferConfig: {
          models: [1],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'model_parameter',
              default: {
                device: 'gpu',
                confidence: 0.2,
                label_names: ['Keypad', 'hands', 'keyboard', 'mouse', 'phone'],
                object_num_min: false,
                relevancy_para: 0.001,
                compara_relevancy: 'overlap',
                compara_label_names: ['hands', 'phone'],
              },
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 43,
        createTime: '2023-11-06T13:40:16.031088+08:00',
        updateTime: '2023-11-06T13:40:16.031088+08:00',
        name: '测试1',
        code: 'XM00043',
        info: '测试1',
        projectFilePath: '',
        inferConfig: {
          models: [1],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'model_parameter',
              default: {
                device: 'gpu',
                confidence: 0.2,
                label_names: ['Keypad', 'hands', 'keyboard', 'mouse', 'phone'],
                object_num_min: false,
                relevancy_para: 0.001,
                compara_relevancy: 'overlap',
                compara_label_names: ['hands', 'phone'],
              },
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
            {
              name: 'test',
              default: [
                {
                  eee: 'eee',
                },
                {
                  bbb: 'bbb',
                },
              ],
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 44,
        createTime: '2023-11-06T13:41:20.873017+08:00',
        updateTime: '2023-11-06T13:41:20.873017+08:00',
        name: '测试2',
        code: 'XM00044',
        info: '测试2',
        projectFilePath: '',
        inferConfig: {
          models: [1],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 46,
        createTime: '2023-11-06T16:20:16.19561+08:00',
        updateTime: '2023-11-06T16:20:16.19561+08:00',
        name: '测试4',
        code: 'XM00046',
        info: '测试4',
        projectFilePath: '',
        inferConfig: {
          models: [8],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 47,
        createTime: '2023-11-06T16:29:11.765524+08:00',
        updateTime: '2023-11-06T16:29:11.765524+08:00',
        name: '测试5',
        code: 'XM00047',
        info: '测试5',
        projectFilePath: '',
        inferConfig: {
          models: [7, 6],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 48,
        createTime: '2023-11-07T16:17:51.448947+08:00',
        updateTime: '2023-11-07T16:17:51.448947+08:00',
        name: '测试6',
        code: 'XM00048',
        info: '测试6',
        projectFilePath: '',
        inferConfig: {
          models: [8, 7, 6],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
      {
        id: 49,
        createTime: '2023-11-07T16:22:03.174411+08:00',
        updateTime: '2023-11-07T16:22:03.174411+08:00',
        name: '测试7',
        code: 'XM00049',
        info: '测试7',
        projectFilePath: '',
        inferConfig: {
          models: [8, 7, 6],
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
          ],
        },
        isEnable: true,
        groupIds: null,
        remark: '',
      },
    ],
    total: 27,
    page: 1,
    pageSize: 10,
  },
};
